Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5117)
@@ -107,5 +107,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
   CALL filtreg_p( rot, jjb_v,jje_v, jjb,jje,jjm, &
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5117)
@@ -5,5 +5,5 @@
   USE mod_const_mpi
   USE lmdz_mpi, ONLY: using_mpi
-      use IOIPSL
+      USE IOIPSL
     INTEGER,PARAMETER :: halo_max=3
     
@@ -12,36 +12,36 @@
 !$OMP THREADPRIVATE(is_master)
     
-    integer, save :: mpi_size
-    integer, save :: mpi_rank
-    integer, save :: jj_begin
-    integer, save :: jj_end
-    integer, save :: jj_nb
-    integer, save :: ij_begin
-    integer, save :: ij_end
+    INTEGER, save :: mpi_size
+    INTEGER, save :: mpi_rank
+    INTEGER, save :: jj_begin
+    INTEGER, save :: jj_end
+    INTEGER, save :: jj_nb
+    INTEGER, save :: ij_begin
+    INTEGER, save :: ij_end
     logical, save :: pole_nord
     logical, save :: pole_sud
 
-    integer,save  :: jjb_u
-    integer,save  :: jje_u
-    integer,save  :: jjnb_u
-    integer,save  :: jjb_v
-    integer,save  :: jje_v
-    integer,save  :: jjnb_v    
-
-    integer,save  :: ijb_u
-    integer,save  :: ije_u
-    integer,save  :: ijnb_u    
-    
-    integer,save  :: ijb_v
-    integer,save  :: ije_v
-    integer,save  :: ijnb_v    
+    INTEGER,save  :: jjb_u
+    INTEGER,save  :: jje_u
+    INTEGER,save  :: jjnb_u
+    INTEGER,save  :: jjb_v
+    INTEGER,save  :: jje_v
+    INTEGER,save  :: jjnb_v
+
+    INTEGER,save  :: ijb_u
+    INTEGER,save  :: ije_u
+    INTEGER,save  :: ijnb_u
+    
+    INTEGER,save  :: ijb_v
+    INTEGER,save  :: ije_v
+    INTEGER,save  :: ijnb_v
      
     
-    integer, allocatable, save, dimension(:) :: jj_begin_para
-    integer, allocatable, save, dimension(:) :: jj_end_para
-    integer, allocatable, save, dimension(:) :: jj_nb_para
-    integer, save :: OMP_CHUNK
-    integer, save :: omp_rank
-    integer, save :: omp_size  
+    INTEGER, ALLOCATABLE, SAVE, DIMENSION(:) :: jj_begin_para
+    INTEGER, ALLOCATABLE, SAVE, DIMENSION(:) :: jj_end_para
+    INTEGER, ALLOCATABLE, SAVE, DIMENSION(:) :: jj_nb_para
+    INTEGER, save :: OMP_CHUNK
+    INTEGER, save :: omp_rank
+    INTEGER, save :: omp_size
 !$OMP THREADPRIVATE(omp_rank)
 
@@ -53,23 +53,23 @@
       INTEGER :: ij_end
 
-      integer  :: jjb_u
-      integer  :: jje_u
-      integer  :: jjnb_u
-      integer  :: jjb_v
-      integer  :: jje_v
-      integer  :: jjnb_v    
+      INTEGER  :: jjb_u
+      INTEGER  :: jje_u
+      INTEGER  :: jjnb_u
+      INTEGER  :: jjb_v
+      INTEGER  :: jje_v
+      INTEGER  :: jjnb_v
  
-      integer  :: ijb_u
-      integer  :: ije_u
-      integer  :: ijnb_u    
-    
-      integer  :: ijb_v
-      integer  :: ije_v
-      integer  :: ijnb_v    
+      INTEGER  :: ijb_u
+      INTEGER  :: ije_u
+      INTEGER  :: ijnb_u
+    
+      INTEGER  :: ijb_v
+      INTEGER  :: ije_v
+      INTEGER  :: ijnb_v
      
     
-      integer, pointer :: jj_begin_para(:) => NULL()
-      integer, pointer :: jj_end_para(:) => NULL()
-      integer, pointer :: jj_nb_para(:) => NULL()
+      INTEGER, pointer :: jj_begin_para(:) => NULL()
+      INTEGER, pointer :: jj_end_para(:) => NULL()
+      INTEGER, pointer :: jj_nb_para(:) => NULL()
     END TYPE distrib  
     
@@ -82,5 +82,5 @@
  
     SUBROUTINE init_parallel
-    USE vampir
+    USE lmdz_vampir
     USE lmdz_mpi
     IMPLICIT NONE
@@ -92,5 +92,5 @@
       INTEGER :: i,j
       INTEGER :: type_size
-      integer, dimension(3) :: blocklen,type
+      INTEGER, DIMENSION(3) :: blocklen,type
       INTEGER :: comp_id
       CHARACTER(LEN=4)  :: num
@@ -122,5 +122,5 @@
 
 ! Open text output file with mpi_rank in suffix of file name 
-      IF (lunout /= 5 .and. lunout /= 6) THEN
+      IF (lunout /= 5 .AND. lunout /= 6) THEN
          WRITE(num,'(I4.4)') mpi_rank
          filename='lmdz.out_'//num
@@ -138,7 +138,7 @@
       do i=0,mpi_size-1
         jj_nb_para(i)=(jjm+1)/mpi_size
-        if ( i < MOD((jjm+1),mpi_size) ) jj_nb_para(i)=jj_nb_para(i)+1
-        
-        if (jj_nb_para(i) <= 1 ) THEN
+        IF ( i < MOD((jjm+1),mpi_size) ) jj_nb_para(i)=jj_nb_para(i)+1
+        
+        IF (jj_nb_para(i) <= 1 ) THEN
          WRITE(lunout,*)"Arret : le nombre de bande de lattitude par process est trop faible (<2)."
          WRITE(lunout,*)" ---> diminuez le nombre de CPU ou augmentez la taille en lattitude"
@@ -172,5 +172,5 @@
       ij_end=jj_end*iip1
       
-      if (mpi_rank==0) THEN
+      IF (mpi_rank==0) THEN
         pole_nord=.TRUE.
       else 
@@ -178,5 +178,5 @@
       endif
       
-      if (mpi_rank==mpi_size-1) THEN
+      IF (mpi_rank==mpi_size-1) THEN
         pole_sud=.TRUE.
       else 
@@ -233,5 +233,5 @@
       CALL create_distrib(jj_nb_para,current_dist)
       
-      IF ((mpi_rank==0).and.(omp_rank==0)) THEN
+      IF ((mpi_rank==0).AND.(omp_rank==0)) THEN
         is_master=.TRUE.
       ELSE
@@ -379,15 +379,15 @@
     USE lmdz_mpi
     ! ug Pour les sorties XIOS
-  	USE wxios
+  	USE lmdz_wxios
 
 #ifdef CPP_COUPLE
 ! Use of Oasis-MCT coupler 
 #if defined CPP_OMCT
-    use mod_prism
+    USE mod_prism
 #else
-    use mod_prism_proto
+    USE mod_prism_proto
 #endif
 ! Ehouarn: surface_data module is in 'phylmd' ...
-      use surface_data, ONLY: type_ocean
+      USE surface_data, ONLY: type_ocean
       IMPLICIT NONE
 #else
@@ -403,9 +403,9 @@
       INTEGER :: i
 
-      if (allocated(jj_begin_para)) deallocate(jj_begin_para)
-      if (allocated(jj_end_para))   deallocate(jj_end_para)
-      if (allocated(jj_nb_para))    deallocate(jj_nb_para)
-
-      if (type_ocean == 'couple') THEN
+      IF (allocated(jj_begin_para)) deallocate(jj_begin_para)
+      IF (allocated(jj_end_para))   deallocate(jj_end_para)
+      IF (allocated(jj_nb_para))    deallocate(jj_nb_para)
+
+      IF (type_ocean == 'couple') THEN
 #ifdef CPP_COUPLE
         IF (using_xios) THEN
@@ -413,10 +413,10 @@
           CALL wxios_close()
           CALL prism_terminate_proto(ierr)
-          IF (ierr .ne. PRISM_Ok) THEN
+          IF (ierr .NE. PRISM_Ok) THEN
             CALL abort_gcm('Finalize_parallel',' Probleme dans prism_terminate_proto ',1)
           ENDIF
         ELSE
            CALL prism_terminate_proto(ierr)
-           IF (ierr .ne. PRISM_Ok) THEN
+           IF (ierr .NE. PRISM_Ok) THEN
               CALL abort_gcm('Finalize_parallel',' Probleme dans prism_terminate_proto ',1)
            endif
@@ -441,7 +441,7 @@
       INCLUDE "paramet.h"
 
-      integer, intent(in) :: ij,ll,row
-      real,dimension(ij,ll),intent(in) ::Field
-      real,dimension(ll*iip1*row), intent(out) :: Buffer 
+      INTEGER, INTENT(IN) :: ij,ll,row
+      REAL,DIMENSION(ij,ll),INTENT(IN) ::Field
+      REAL,DIMENSION(ll*iip1*row), INTENT(OUT) :: Buffer
             
       INTEGER :: Pos
@@ -464,7 +464,7 @@
       INCLUDE "paramet.h"
 
-      integer, intent(in) :: ij,ll,row
-      real,dimension(ij,ll),intent(out) ::Field
-      real,dimension(ll*iip1*row), intent(in) :: Buffer 
+      INTEGER, INTENT(IN) :: ij,ll,row
+      REAL,DIMENSION(ij,ll),INTENT(OUT) ::Field
+      REAL,DIMENSION(ll*iip1*row), INTENT(IN) :: Buffer
             
       INTEGER :: Pos
@@ -497,10 +497,10 @@
     SUBROUTINE exchange_hallo(Field,ij,ll,up,down)
     USE lmdz_mpi
-    USE Vampir
+    USE lmdz_vampir
     IMPLICIT NONE
       INCLUDE "dimensions.h"
       INCLUDE "paramet.h"    
       INTEGER :: ij,ll
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       INTEGER :: up,down
       
@@ -512,6 +512,6 @@
 
       INTEGER :: NbRequest
-      REAL, dimension(:),allocatable :: Buffer_Send_up,Buffer_Send_down
-      REAL, dimension(:),allocatable :: Buffer_Recv_up,Buffer_Recv_down
+      REAL, DIMENSION(:),ALLOCATABLE :: Buffer_Send_up,Buffer_Send_down
+      REAL, DIMENSION(:),ALLOCATABLE :: Buffer_Recv_up,Buffer_Recv_down
       INTEGER :: Buffer_size      
 
@@ -537,10 +537,10 @@
         ENDIF
         
-        if (up==0) THEN
+        IF (up==0) THEN
           SendDown=.FALSE.
           RecvUp=.FALSE.
         endif
       
-        if (down==0) THEN
+        IF (down==0) THEN
           SendUp=.FALSE.
           RecvDown=.FALSE.
@@ -599,5 +599,5 @@
         ENDIF
   
-        if (NbRequest > 0) CALL MPI_WAITALL(NbRequest,Request,Status,ierr)
+        IF (NbRequest > 0) CALL MPI_WAITALL(NbRequest,Request,Status,ierr)
         IF (RecvUp)  CALL Unpack_Data(Field(ij_begin-up*iip1,1),ij,ll,up,Buffer_Recv_up)
         IF (RecvDown) CALL Unpack_Data(Field(ij_end+1,1),ij,ll,down,Buffer_Recv_down)
@@ -620,8 +620,8 @@
     INCLUDE "iniprint.h"
       INTEGER :: ij,ll,rank
-      REAL, dimension(ij,ll) :: Field
-      REAL, dimension(:),allocatable :: Buffer_send   
-      REAL, dimension(:),allocatable :: Buffer_Recv
-      INTEGER, dimension(0:MPI_Size-1) :: Recv_count, displ
+      REAL, DIMENSION(ij,ll) :: Field
+      REAL, DIMENSION(:),ALLOCATABLE :: Buffer_send
+      REAL, DIMENSION(:),ALLOCATABLE :: Buffer_Recv
+      INTEGER, DIMENSION(0:MPI_Size-1) :: Recv_count, displ
       INTEGER :: ierr
       INTEGER ::i
@@ -629,8 +629,8 @@
       IF (using_mpi) THEN
 
-        if (ij==ip1jmp1) THEN
+        IF (ij==ip1jmp1) THEN
            allocate(Buffer_send(iip1*ll*(jj_end-jj_begin+1)))
            CALL Pack_Data(Field(ij_begin,1),ij,ll,jj_end-jj_begin+1,Buffer_send)
-        else if (ij==ip1jm) THEN
+        ELSE IF (ij==ip1jm) THEN
            allocate(Buffer_send(iip1*ll*(min(jj_end,jjm)-jj_begin+1)))
            CALL Pack_Data(Field(ij_begin,1),ij,ll,min(jj_end,jjm)-jj_begin+1,Buffer_send)
@@ -640,5 +640,5 @@
         endif
         
-        if (MPI_Rank==rank) THEN
+        IF (MPI_Rank==rank) THEN
           allocate(Buffer_Recv(ij*ll))
 
@@ -646,7 +646,7 @@
           do i=0,MPI_Size-1
              
-            if (ij==ip1jmp1) THEN
+            IF (ij==ip1jmp1) THEN
               Recv_count(i)=(jj_end_para(i)-jj_begin_para(i)+1)*ll*iip1
-            else if (ij==ip1jm) THEN
+            ELSE IF (ij==ip1jm) THEN
               Recv_count(i)=(min(jj_end_para(i),jjm)-jj_begin_para(i)+1)*ll*iip1
             else
@@ -654,5 +654,5 @@
             endif
                    
-            if (i==0) THEN
+            IF (i==0) THEN
               displ(i)=0 
             else
@@ -674,11 +674,11 @@
 !$OMP END CRITICAL (MPI)
       
-        if (MPI_Rank==rank) THEN
-          if (ij==ip1jmp1) THEN
+        IF (MPI_Rank==rank) THEN
+          IF (ij==ip1jmp1) THEN
             do i=0,MPI_Size-1
               CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                 &
                                jj_end_para(i)-jj_begin_para(i)+1,Buffer_Recv(displ(i)+1))
             enddo
-          else if (ij==ip1jm) THEN
+          ELSE IF (ij==ip1jm) THEN
             do i=0,MPI_Size-1
                CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                       &
@@ -698,5 +698,5 @@
     INCLUDE "paramet.h"    
       INTEGER :: ij,ll
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       INTEGER :: ierr
       
@@ -716,5 +716,5 @@
     INCLUDE "paramet.h"    
       INTEGER :: ij,ll
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       INTEGER :: rank
       INTEGER :: ierr
@@ -737,8 +737,8 @@
 
 !      INTEGER :: ij,ll
-!      REAL, dimension(ij,ll) :: Field
+!      REAL, DIMENSION(ij,ll) :: Field
 !      INTEGER :: up,down 
 
-!      REAL,dimension(ij,ll): NewField
+!      REAL,DIMENSION(ij,ll): NewField
 
 !      NewField=0
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/pression_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/pression_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/pression_loc.f90	(revision 5117)
@@ -29,6 +29,6 @@
   ije=ij_end+2*iip1
 
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5117)
@@ -6,6 +6,6 @@
   USE infotrac, ONLY: niso, ntiso, iqIsoPha, tracers, &
         isoCheck, min_qParent
-  USE strings_mod, ONLY: strIdx
-  USE readTracFiles_mod, ONLY: addPhase
+  USE lmdz_strings, ONLY: strIdx
+  USE lmdz_readTracFiles, ONLY: addPhase
   IMPLICIT none
   !
@@ -87,6 +87,6 @@
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (seuil_liq - q(i,k,iq_liq) > 0.d0 ) THEN
-        if (niso > 0) zx_defau_diag(i,k,2)=AMAX1 &
+      IF (seuil_liq - q(i,k,iq_liq) > 0.d0 ) THEN
+        IF (niso > 0) zx_defau_diag(i,k,2)=AMAX1 &
               ( seuil_liq - q(i,k,iq_liq), 0.0 )
 
@@ -108,6 +108,6 @@
     DO i = ijb, ije
 
-      if ( seuil_vap - q(i,k,iq_vap) > 0.d0 ) THEN
-        if (niso > 0) zx_defau_diag(i,k,1) &
+      IF ( seuil_vap - q(i,k,iq_vap) > 0.d0 ) THEN
+        IF (niso > 0) zx_defau_diag(i,k,1) &
               = AMAX1( seuil_vap - q(i,k,iq_vap), 0.0 )
 
@@ -148,5 +148,5 @@
 
   !WRITE(lunout,*) 'qminimum 128'
-  if (niso > 0) THEN
+  IF (niso > 0) THEN
           !WRITE(lunout,*) 'qminimum 140'
   ! CRisi: traiter de même les traceurs d'eau
@@ -164,5 +164,5 @@
 !$OMP DO SCHEDULE(STATIC)
   DO i = ijb, ije
-    if (zx_pump(i)>0.0) THEN
+    IF (zx_pump(i)>0.0) THEN
       q_follow(i,1,1)=q_follow(i,1,1)+zx_pump(i)
     endif !if (zx_pump(i).gt.0.0) THEN
@@ -175,9 +175,9 @@
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (zx_defau_diag(i,k,1)>0.0) THEN
+      IF (zx_defau_diag(i,k,1)>0.0) THEN
           ! on ajoute la vapeur en k
           !  WRITE(lunout,*) 'i,k,q_follow(i,k-1,ivap)=',
   ! :                 i,k,q_follow(i,k-1,1)
-          if (q_follow(i,k-1,1)<min_qParent) THEN
+          IF (q_follow(i,k-1,1)<min_qParent) THEN
             WRITE(lunout,*) 'tmp qmin: on stoppe'
             WRITE(lunout,*) 'zx_pump(i)=',zx_pump(i)
@@ -200,5 +200,5 @@
                  *q(i,k-1,iqIsoPha(ixt,iq_vap))/q_follow(i,k-1,1)
 
-          if (isoCheck) THEN
+          IF (isoCheck) THEN
             IF(iso_verif_noNaN_nostop(q(i,k,iqIsoPha(ixt,iq_vap)), &
                   'qminimum 155')==1) THEN
@@ -224,6 +224,6 @@
                  /q_follow(i,k-1,1)
 
-           if (isoCheck) THEN
-            if (iso_verif_noNaN_nostop( &
+           IF (isoCheck) THEN
+            IF (iso_verif_noNaN_nostop( &
                   q(i,k-1,iqIsoPha(ixt,iq_vap)), &
                   'qminimum 175')==1) THEN
@@ -260,5 +260,5 @@
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
-      if (zx_defau_diag(i,k,2)>0.0) THEN
+      IF (zx_defau_diag(i,k,2)>0.0) THEN
           ! on ajoute eau liquide en k en k
           do ixt=1,ntiso
@@ -282,5 +282,5 @@
    CALL check_isotopes(q,ijb,ije,'qminimum 197')
 
-  endif !if (niso > 0) THEN
+  ENDIF !if (niso > 0) THEN
   !WRITE(*,*) 'qminimum 188'
 !$OMP BARRIER
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.f90	(revision 5117)
@@ -53,5 +53,5 @@
     jjb=jj_begin
     jje=jj_end
-    if (pole_sud) jje=jj_end-1
+    IF (pole_sud) jje=jj_end-1
     CALL filtreg_p( rot, jjb_v, jje_v,jjb,jje,jjm, &
           klevel, 2, 2, .FALSE., 1 )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5117)
@@ -53,9 +53,9 @@
   !   ------
 
-  real,allocatable :: ucov_glo(:,:)
-  real,allocatable :: vcov_glo(:,:)
-  real,allocatable :: teta_glo(:,:)
-  real,allocatable :: masse_glo(:,:)
-  real,allocatable :: ps_glo(:)
+  REAL,ALLOCATABLE :: ucov_glo(:,:)
+  REAL,ALLOCATABLE :: vcov_glo(:,:)
+  REAL,ALLOCATABLE :: teta_glo(:,:)
+  REAL,ALLOCATABLE :: masse_glo(:,:)
+  REAL,ALLOCATABLE :: ps_glo(:)
 
    ! REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
@@ -65,9 +65,9 @@
    ! REAL alpha(ip1jmp1,llm),beta(ip1jmp1,llm)
 
-  real,allocatable :: p(:,:)
-  real,allocatable :: pks(:)
-  real,allocatable :: pk(:,:)
-  real,allocatable :: pkf(:,:)
-  real,allocatable :: alpha(:,:),beta(:,:)
+  REAL,ALLOCATABLE :: p(:,:)
+  REAL,ALLOCATABLE :: pks(:)
+  REAL,ALLOCATABLE :: pk(:,:)
+  REAL,ALLOCATABLE :: pkf(:,:)
+  REAL,ALLOCATABLE :: alpha(:,:),beta(:,:)
 
   REAL :: sinth,costh,costh2, Ath,Bth,Cth, lon,dps
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5117)
@@ -1,24 +1,24 @@
 module times
-  integer,PRIVATE,save :: Last_Count=0
-  real, PRIVATE,save :: Last_cpuCount=0
+  INTEGER,PRIVATE,save :: Last_Count=0
+  REAL, PRIVATE,save :: Last_cpuCount=0
   logical, PRIVATE,save :: AllTimer_IsActive=.FALSE.
   
-  integer, parameter :: nb_timer = 4
-  integer, parameter :: timer_caldyn  = 1
-  integer, parameter :: timer_vanleer = 2
-  integer, parameter :: timer_dissip = 3
-  integer, parameter :: timer_physic = 4
-  integer, parameter :: stopped = 1
-  integer, parameter :: running = 2
-  integer, parameter :: suspended = 3 
+  INTEGER, parameter :: nb_timer = 4
+  INTEGER, parameter :: timer_caldyn  = 1
+  INTEGER, parameter :: timer_vanleer = 2
+  INTEGER, parameter :: timer_dissip = 3
+  INTEGER, parameter :: timer_physic = 4
+  INTEGER, parameter :: stopped = 1
+  INTEGER, parameter :: running = 2
+  INTEGER, parameter :: suspended = 3
   
   INTEGER :: max_size
-  real,    allocatable, dimension(:,:,:) :: timer_table
-  real,    allocatable, dimension(:,:,:) :: timer_table_sqr 
-  integer, allocatable, dimension(:,:,:) :: timer_iteration
-  real,    allocatable, dimension(:,:,:) :: timer_average
-  real,    allocatable, dimension(:,:,:) :: timer_delta
-  real,    allocatable,dimension(:) :: timer_running, last_time
-  integer, allocatable,dimension(:) :: timer_state
+  REAL,    ALLOCATABLE, DIMENSION(:,:,:) :: timer_table
+  REAL,    ALLOCATABLE, DIMENSION(:,:,:) :: timer_table_sqr
+  INTEGER, ALLOCATABLE, DIMENSION(:,:,:) :: timer_iteration
+  REAL,    ALLOCATABLE, DIMENSION(:,:,:) :: timer_average
+  REAL,    ALLOCATABLE, DIMENSION(:,:,:) :: timer_delta
+  REAL,    ALLOCATABLE,DIMENSION(:) :: timer_running, last_time
+  INTEGER, ALLOCATABLE,DIMENSION(:) :: timer_state
   
   contains
@@ -52,6 +52,6 @@
     INTEGER :: no_timer
     
-    if (AllTimer_IsActive) THEN
-      if (timer_state(no_timer)/=stopped) THEN
+    IF (AllTimer_IsActive) THEN
+      IF (timer_state(no_timer)/=stopped) THEN
         CALL abort_gcm("times","start_timer :: timer is already running or suspended",1)
       else
@@ -70,6 +70,6 @@
     INTEGER :: no_timer
      
-    if (AllTimer_IsActive) THEN
-      if (timer_state(no_timer)/=running) THEN
+    IF (AllTimer_IsActive) THEN
+      IF (timer_state(no_timer)/=running) THEN
          CALL abort_gcm("times","suspend_timer :: timer is not running",1)
       else
@@ -87,6 +87,6 @@
     INTEGER :: no_timer
      
-    if (AllTimer_IsActive) THEN
-      if (timer_state(no_timer)/=suspended) THEN
+    IF (AllTimer_IsActive) THEN
+      IF (timer_state(no_timer)/=suspended) THEN
         CALL abort_gcm("times","resume_timer :: timer is not suspended",1)
       else
@@ -106,6 +106,6 @@
     REAL :: V,V2
     
-    if (AllTimer_IsActive) THEN
-      if (timer_state(no_timer)/=running) THEN
+    IF (AllTimer_IsActive) THEN
+      IF (timer_state(no_timer)/=running) THEN
         CALL abort_gcm("times","stop_timer :: timer is not running",1)
       else
@@ -121,5 +121,5 @@
       timer_iteration(jj_nb,no_timer,mpi_rank)=timer_iteration(jj_nb,no_timer,mpi_rank)+1
       timer_average(jj_nb,no_timer,mpi_rank)=timer_table(jj_nb,no_timer,mpi_rank)/timer_iteration(jj_nb,no_timer,mpi_rank)
-      if (timer_iteration(jj_nb,no_timer,mpi_rank)>=2) THEN
+      IF (timer_iteration(jj_nb,no_timer,mpi_rank)>=2) THEN
         N=timer_iteration(jj_nb,no_timer,mpi_rank)
 	V2=timer_table_sqr(jj_nb,no_timer,mpi_rank)
@@ -140,9 +140,9 @@
     INTEGER :: ierr
     INTEGER :: data_size
-    real, allocatable,dimension(:,:) :: tmp_table
+    REAL, ALLOCATABLE,DIMENSION(:,:) :: tmp_table
 
     IF (using_mpi) THEN    
    
-      if (AllTimer_IsActive) THEN
+      IF (AllTimer_IsActive) THEN
       allocate(tmp_table(max_size,nb_timer))
     
@@ -167,11 +167,11 @@
     INTEGER :: ierr
     INTEGER :: data_size
-    real, allocatable,dimension(:,:),target :: tmp_table
-    integer, allocatable,dimension(:,:),target :: tmp_iter
+    REAL, ALLOCATABLE,DIMENSION(:,:),target :: tmp_table
+    INTEGER, ALLOCATABLE,DIMENSION(:,:),target :: tmp_iter
     INTEGER :: istats
 
     IF (using_mpi) THEN
         
-      if (AllTimer_IsActive) THEN
+      IF (AllTimer_IsActive) THEN
       allocate(tmp_table(max_size,nb_timer))
       allocate(tmp_iter(max_size,nb_timer))
@@ -197,5 +197,5 @@
     
     AllTimer_IsActive=.TRUE.
-    if (AllTimer_IsActive) THEN
+    IF (AllTimer_IsActive) THEN
       CALL system_clock(count,count_rate,count_max)
       CALL cpu_time(Last_cpuCount)
@@ -210,5 +210,5 @@
   
     CALL system_clock(count,count_rate,count_max)
-    if (Count>=Last_Count) THEN
+    IF (Count>=Last_Count) THEN
       DiffTime=(1.*(Count-last_Count))/count_rate
     else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5117)
@@ -60,9 +60,9 @@
   !   ----------
 
-  real,intent(inout) :: ucov(iip1,jjb_u:jje_u,llm) ! covariant zonal wind
-  real,intent(inout) :: vcov(iip1,jjb_v:jje_v,llm) ! covariant meridional wind
-  real,intent(inout) :: teta(iip1,jjb_u:jje_u,llm) ! potential temperature
-  real,intent(in) :: masse(iip1,jjb_u:jje_u,llm) ! mass of atmosphere
-  real,intent(in) :: dt ! time step (s) of sponge model
+  REAL,INTENT(INOUT) :: ucov(iip1,jjb_u:jje_u,llm) ! covariant zonal wind
+  REAL,INTENT(INOUT) :: vcov(iip1,jjb_v:jje_v,llm) ! covariant meridional wind
+  REAL,INTENT(INOUT) :: teta(iip1,jjb_u:jje_u,llm) ! potential temperature
+  REAL,INTENT(IN) :: masse(iip1,jjb_u:jje_u,llm) ! mass of atmosphere
+  REAL,INTENT(IN) :: dt ! time step (s) of sponge model
 
    ! REAL dv(iip1,jjb_v:jje_v,llm),du(iip1,jjb_u:jje_u,llm)
@@ -78,15 +78,15 @@
   INTEGER :: i
   REAL,SAVE :: rdamp(llm)
-  real,save :: lambda(llm) ! inverse or quenching time scale (Hz)
+  REAL,save :: lambda(llm) ! inverse or quenching time scale (Hz)
   LOGICAL,SAVE :: first=.TRUE.
   INTEGER :: j,l,jjb,jje
 
 
-  if (iflag_top_bound == 0) return
-
-  if (first) THEN
+  IF (iflag_top_bound == 0) return
+
+  IF (first) THEN
 !$OMP BARRIER
 !$OMP MASTER
-     if (iflag_top_bound == 1) THEN
+     IF (iflag_top_bound == 1) THEN
   ! sponge quenching over the topmost 4 atmospheric layers
          lambda(:)=0.
@@ -95,5 +95,5 @@
          lambda(llm-2)=tau_top_bound/4.
          lambda(llm-3)=tau_top_bound/8.
-     else if (iflag_top_bound == 2) THEN
+     ELSE IF (iflag_top_bound == 2) THEN
   ! sponge quenching over topmost layers down to pressures which are
   ! higher than 100 times the topmost layer pressure
@@ -110,5 +110,5 @@
      WRITE(lunout,*)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
      do l=1,llm
-       if (rdamp(l)/=0.) THEN
+       IF (rdamp(l)/=0.) THEN
          WRITE(lunout,'(6(1pe12.4,1x))') &
                presnivs(l),log(preff/presnivs(l))*scaleheight, &
@@ -119,5 +119,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-  endif ! of if (first)
+  ENDIF ! of if (first)
 
 
@@ -125,5 +125,5 @@
 
   ! compute zonal average of vcov (or set it to zero)
-  if (mode_top_bound>=2) THEN
+  IF (mode_top_bound>=2) THEN
    jjb=jj_begin
    jje=jj_end
@@ -150,8 +150,8 @@
    enddo
 !$OMP END DO NOWAIT
-  endif ! of if (mode_top_bound.ge.2)
+  ENDIF ! of if (mode_top_bound.ge.2)
 
   ! compute zonal average of u (or set it to zero)
-  if (mode_top_bound>=2) THEN
+  IF (mode_top_bound>=2) THEN
    jjb=jj_begin
    jje=jj_end
@@ -177,8 +177,8 @@
    enddo
 !$OMP END DO NOWAIT
-  endif ! of if (mode_top_bound.ge.2)
+  ENDIF ! of if (mode_top_bound.ge.2)
 
   ! compute zonal average of potential temperature, if necessary
-  if (mode_top_bound>=3) THEN
+  IF (mode_top_bound>=3) THEN
    jjb=jj_begin
    jje=jj_end
@@ -198,7 +198,7 @@
    enddo
 !$OMP END DO NOWAIT
-  endif ! of if (mode_top_bound.ge.3)
-
-  if (mode_top_bound>=1) THEN
+  ENDIF ! of if (mode_top_bound.ge.3)
+
+  IF (mode_top_bound>=1) THEN
    ! Apply sponge quenching on vcov:
    jjb=jj_begin
@@ -233,7 +233,7 @@
    enddo
 !$OMP END DO NOWAIT
-  endif ! of if (mode_top_bound.ge.1)
-
-  if (mode_top_bound>=3) THEN
+  ENDIF ! of if (mode_top_bound.ge.1)
+
+  IF (mode_top_bound>=3) THEN
    ! Apply sponge quenching on teta:
    jjb=jj_begin
@@ -252,5 +252,5 @@
    enddo
 !$OMP END DO NOWAIT
-  endif ! of if (mode_top_bond.ge.3)
+  ENDIF ! of if (mode_top_bond.ge.3)
 
 END SUBROUTINE top_bound_loc
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5117)
@@ -60,6 +60,6 @@
   ije = ije_x
 
-  if (pole_nord.and.ijb==1) ijb = ijb + iip1
-  if (pole_sud.and.ije==ip1jmp1)  ije = ije - iip1
+  IF (pole_nord.AND.ijb==1) ijb = ijb + iip1
+  IF (pole_sud.AND.ije==ip1jmp1)  ije = ije - iip1
 
   IF (pente_max>-1.e-5) THEN
@@ -238,5 +238,5 @@
       !   indicage des mailles concernees par le traitement special
       DO ij = ijb, ije
-        IF(iadvplus(ij, l)==1.and.mod(ij, iip1)/=0) THEN
+        IF(iadvplus(ij, l)==1.AND.mod(ij, iip1)/=0) THEN
           iju = iju + 1
           indu(iju) = ij
@@ -313,5 +313,5 @@
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
-        if (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
+        IF (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
         else
@@ -440,6 +440,6 @@
   ijb = ij_begin - 2 * iip1
   ije = ij_end + 2 * iip1
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud)  ije = ij_end
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud)  ije = ij_end
 
   IF(first) THEN
@@ -474,5 +474,5 @@
     !    le pole nord) qui sera utilisee pour evaluer les pentes au pole.
 
-    if (pole_nord) THEN
+    IF (pole_nord) THEN
       DO i = 1, iim
         airescb(i) = aire(i + iip1) * q(i + iip1, l, iq)
@@ -481,5 +481,5 @@
     endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       DO i = 1, iim
         airesch(i) = aire(i + ip1jm - iip1) * q(i + ip1jm - iip1, l, iq)
@@ -492,6 +492,6 @@
     ijb = ij_begin - 2 * iip1
     ije = ij_end + iip1
-    if (pole_nord) ijb = ij_begin
-    if (pole_sud)  ije = ij_end - iip1
+    IF (pole_nord) ijb = ij_begin
+    IF (pole_sud)  ije = ij_end - iip1
 
     ! on a besoin de q entre ij_begin-2*iip1 et ij_end+2*iip1
@@ -507,6 +507,6 @@
     ijb = ij_begin - iip1
     ije = ij_end + iip1
-    if (pole_nord) ijb = ij_begin + iip1
-    if (pole_sud)  ije = ij_end - iip1
+    IF (pole_nord) ijb = ij_begin + iip1
+    IF (pole_sud)  ije = ij_end - iip1
 
     DO ij = ijb, ije
@@ -654,6 +654,6 @@
     ijb = ij_begin - iip1
     ije = ij_end + iip1
-    if (pole_nord) ijb = ij_begin + iip1
-    if (pole_sud)  ije = ij_end - iip1
+    IF (pole_nord) ijb = ij_begin + iip1
+    IF (pole_sud)  ije = ij_end - iip1
 
     DO ij = ijb, ije
@@ -670,6 +670,6 @@
   ijb = ij_begin - iip1
   ije = ij_end
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud)  ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -697,8 +697,8 @@
   ijbm = ij_begin - iip1
   ijem = ij_end + iip1
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud)  ije = ij_end
-  if (pole_nord) ijbm = ij_begin
-  if (pole_sud)  ijem = ij_end
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud)  ije = ij_end
+  IF (pole_nord) ijbm = ij_begin
+  IF (pole_sud)  ijem = ij_end
 
   do ifils = 1, tracers(iq)%nqDescen
@@ -716,5 +716,5 @@
       DO ij = ijb, ije
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
-        if (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
+        IF (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
         else
@@ -734,6 +734,6 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_nord) ijb = ij_begin + iip1
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_nord) ijb = ij_begin + iip1
+  IF (pole_sud)  ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -750,5 +750,5 @@
     ENDDO
 
-    if (pole_nord) THEN
+    IF (pole_nord) THEN
       convpn = SSUM(iim, qbyv(1, l), 1)
       convmpn = ssum(iim, masse_adv_v(1, l), 1)
@@ -764,5 +764,5 @@
     endif
 
-    if (pole_sud) THEN
+    IF (pole_sud) THEN
       convps = -SSUM(iim, qbyv(ip1jm - iim, l), 1)
       convmps = -ssum(iim, masse_adv_v(ip1jm - iim, l), 1)
@@ -1014,5 +1014,5 @@
             ! CRisi 24nov2020: ajout d'un message d'erreur clair au lieu d'un plantage
             ! pour seg fault
-            if (lorig(ij, l)==0) THEN
+            IF (lorig(ij, l)==0) THEN
               CALL abort_gcm("vlz in vlsplt_loc", &
                       "unfixable violation of CFL", 1)
@@ -1065,5 +1065,5 @@
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
-        if (q(ij, l, iq)>min_qParent) THEN
+        IF (q(ij, l, iq)>min_qParent) THEN
           Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
         else
